Mailinglist Archive: opensuse-bugs (3354 mails)

< Previous Next >
[Bug 981750] TW20160524: xf86-input-synaptics is pulled in automatically but it should not
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Thu, 26 May 2016 18:50:46 +0000
  • Message-id: <bug-981750-21960-9pbIoQB8YN@http.bugzilla.novell.com/>
http://bugzilla.novell.com/show_bug.cgi?id=981750
http://bugzilla.novell.com/show_bug.cgi?id=981750#c2

Egbert Eich <eich@xxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|NEW |CONFIRMED
Assignee|coolo@xxxxxxxx |xorg-maintainer-bugs@forge.
| |provo.novell.com

--- Comment #2 from Egbert Eich <eich@xxxxxxxx> ---
Stefan, I'm afraid this is home grown. There is still xorg-x11-driver-input
which drags in a lot of input drivers.
Here is the change I'd suggest - it will leave in Wacom as it provides an
accurate detection of Wacom devices:

--- xorg-x11-driver-input.spec (revision e1c49f0a611fda68006cbce8c05864a1)
+++ xorg-x11-driver-input.spec (working copy)
@@ -25,12 +25,18 @@
Url: http://xorg.freedesktop.org/
Source0: README.meta
## Requires of packages that we split away from xorg-x11-driver-input
-Requires: xf86-input-evdev
## no longer supported on sle12 (FATE#316785)
Recommends: xf86-input-joystick
Recommends: xf86-input-keyboard
Recommends: xf86-input-mouse
+## Most drivers can replaced by xf86-input-libinput today. Only keep
+## the ones with lower priority or very specific device matching rules.
+%if 0%{?suse_version} >= 1330
+Requires: xf86-input-libinput
+%else
+Requires: xf86-input-evdev
Requires: xf86-input-synaptics
+%endif
## only built on x86/x64
Recommends: xf86-input-vmmouse
Requires: xf86-input-void

I've got this prepared for X11:XOrg, if you agree, I will push it.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
References